Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.clearspace
Class ClearspaceLockOutProvider

    java.lang.Object
      org.jivesoftware.openfire.clearspace.ClearspaceLockOutProvider

All Implemented Interfaces:
  LockOutProvider

    public class ClearspaceLockOutProvider

extends Object
implements LockOutProvider

The ClearspaceLockOutProvider uses the UserService web service inside of Clearspace to retrieve user properties from Clearspace. One of these properties refers to whether the user is disabled or not. In the future we may implement this in a different manner that will require less overall communication with Clearspace.

Author:
  Daniel Henninger

Field Summary
`protected static String` | `USER_URL_PREFIX`

Constructor Summary
`ClearspaceLockOutProvider()` Generate a ClearspaceLockOutProvider instance.

Method Summary
`LockOutFlag` | `getDisabledStatus(String username)` The ClearspaceLockOutProvider will retrieve lockout information from Clearspace's user properties.
`boolean` | `isDelayedStartSupported()` Clearspace only supports a strict "are you disabled or not".
`boolean` | `isReadOnly()` The ClearspaceLockOutProvider will set lockouts in Clearspace itself.
`boolean` | `isTimeoutSupported()` Clearspace only supports a strict "are you disabled or not".
`void` | `setDisabledStatus(LockOutFlag flag)` The ClearspaceLockOutProvider will set lockouts in Clearspace itself.
`boolean` | `shouldNotBeCached()` Clearspace needs to always be queried for disabled status.
`void` | `unsetDisabledStatus(String username)` The ClearspaceLockOutProvider will set lockouts in Clearspace itself.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USER_URL_PREFIX

    protected static final String USER_URL_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### ClearspaceLockOutProvider

    public ClearspaceLockOutProvider()

  Generate a ClearspaceLockOutProvider instance.

Method Detail

### getDisabledStatus

    public LockOutFlag getDisabledStatus(String username)

  The ClearspaceLockOutProvider will retrieve lockout information from Clearspace's user properties.

  Specified by:
    `getDisabledStatus` in interface `LockOutProvider`
  Parameters:
    `username` - Username of account to request status of.
  Returns:
    The LockOutFlag instance describing the accounts disabled status or null if user account specified is not currently locked out (disabled).
  See Also:
    `LockOutProvider.getDisabledStatus(String)`

### setDisabledStatus

    public void setDisabledStatus(LockOutFlag flag)

  The ClearspaceLockOutProvider will set lockouts in Clearspace itself.

  Specified by:
    `setDisabledStatus` in interface `LockOutProvider`
  Parameters:
    `flag` - A LockOutFlag instance to describe the disabled status of a user.
  See Also:
    `LockOutProvider.setDisabledStatus(org.jivesoftware.openfire.lockout.LockOutFlag)`

### unsetDisabledStatus

    public void unsetDisabledStatus(String username)

  The ClearspaceLockOutProvider will set lockouts in Clearspace itself.

  Specified by:
    `unsetDisabledStatus` in interface `LockOutProvider`
  Parameters:
    `username` - User to enable.
  See Also:
    `LockOutProvider.unsetDisabledStatus(String)`

### isReadOnly

    public boolean isReadOnly()

  The ClearspaceLockOutProvider will set lockouts in Clearspace itself.

  Specified by:
    `isReadOnly` in interface `LockOutProvider`
  Returns:
    true if the lock out provider is read-only.
  See Also:
    `LockOutProvider.isReadOnly()`

### isDelayedStartSupported

    public boolean isDelayedStartSupported()

  Clearspace only supports a strict "are you disabled or not".

  Specified by:
    `isDelayedStartSupported` in interface `LockOutProvider`
  Returns:
    true if the lock out provider provides this feature.
  See Also:
    `LockOutProvider.isDelayedStartSupported()`

### isTimeoutSupported

    public boolean isTimeoutSupported()

  Clearspace only supports a strict "are you disabled or not".

  Specified by:
    `isTimeoutSupported` in interface `LockOutProvider`
  Returns:
    true if the lcok out provider provides this feature.
  See Also:
    `LockOutProvider.isTimeoutSupported()`

### shouldNotBeCached

    public boolean shouldNotBeCached()

  Clearspace needs to always be queried for disabled status.

  Specified by:
    `shouldNotBeCached` in interface `LockOutProvider`
  Returns:
    true if disabled status should not be cached.
  See Also:
    `LockOutProvider.shouldNotBeCached()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.